Bug 27881 - Markup error in masthead-langmenu.inc
Summary: Markup error in masthead-langmenu.inc
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
: 27888 (view as bug list)
Depends on: 20168
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-05 15:01 UTC by Owen Leonard
Modified: 2021-04-24 16:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05


Attachments
Bug 27881: Markup error in masthead-langmenu.inc (4.94 KB, patch)
2021-03-05 19:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27881: Markup error in masthead-langmenu.inc (5.00 KB, patch)
2021-03-06 11:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27881: Markup error in masthead-langmenu.inc (5.06 KB, patch)
2021-03-25 14:14 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-05 15:01:07 UTC
masthead-langmenu.inc has a few instances of this error:

<a class="dropdown-item"<a href="#" tabindex="-1" class="menu-inactive" role="menuitem">
Comment 1 Owen Leonard 2021-03-05 19:16:12 UTC
Created attachment 117873 [details] [review]
Bug 27881: Markup error in masthead-langmenu.inc

Some markup errors were introduced into the masthead-langmenu include
file by Bug 20168, presumably during the update to the dropdown menu
markup:

'<a class="dropdown-item" <a href="'

...resulting in validation errors like "Attribute <a not allowed on
element a at this point." This patch correct the errors.

To test you should have at least two languages enabled in the
OPACLanguages system preference, opaclanguagesdisplay set to "allow,"
and OpacLangSelectorMode set to "top" or "both top and footer."

- Apply the patch and view the OPAC.
- The "Languages" menu at the top of the page should look correct and
  work correctly.
- Validating the source of the page should return no errors related to
  the language menu's markup.
Comment 2 Owen Leonard 2021-03-06 02:01:36 UTC
*** Bug 27888 has been marked as a duplicate of this bug. ***
Comment 3 Katrin Fischer 2021-03-06 11:47:21 UTC
As I filed a duplicate, least I can do is a sign-off... :)
Comment 4 Katrin Fischer 2021-03-06 11:51:01 UTC
Created attachment 117877 [details] [review]
Bug 27881: Markup error in masthead-langmenu.inc

Some markup errors were introduced into the masthead-langmenu include
file by Bug 20168, presumably during the update to the dropdown menu
markup:

'<a class="dropdown-item" <a href="'

...resulting in validation errors like "Attribute <a not allowed on
element a at this point." This patch correct the errors.

To test you should have at least two languages enabled in the
OPACLanguages system preference, opaclanguagesdisplay set to "allow,"
and OpacLangSelectorMode set to "top" or "both top and footer."

- Apply the patch and view the OPAC.
- The "Languages" menu at the top of the page should look correct and
  work correctly.
- Validating the source of the page should return no errors related to
  the language menu's markup.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2021-03-25 14:14:40 UTC
Created attachment 118810 [details] [review]
Bug 27881: Markup error in masthead-langmenu.inc

Some markup errors were introduced into the masthead-langmenu include
file by Bug 20168, presumably during the update to the dropdown menu
markup:

'<a class="dropdown-item" <a href="'

...resulting in validation errors like "Attribute <a not allowed on
element a at this point." This patch correct the errors.

To test you should have at least two languages enabled in the
OPACLanguages system preference, opaclanguagesdisplay set to "allow,"
and OpacLangSelectorMode set to "top" or "both top and footer."

- Apply the patch and view the OPAC.
- The "Languages" menu at the top of the page should look correct and
  work correctly.
- Validating the source of the page should return no errors related to
  the language menu's markup.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2021-03-25 14:15:01 UTC
Good catch, Passing QA
Comment 7 Jonathan Druart 2021-04-01 16:54:31 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 8 Katrin Fischer 2021-04-15 06:52:29 UTC
This problem is also present in 20.11, I just verified on our test installation - could this be backported?
Comment 9 Fridolin Somers 2021-04-15 10:24:39 UTC
Pushed to 20.11.x for 20.11.05
Comment 10 Andrew Fuerste-Henry 2021-04-24 16:25:32 UTC
Missing dependency, not backported